<?php
/* Elegro Crypto Payment support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'tripster_elegro_payment_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'tripster_elegro_payment_theme_setup9', 9 );
	function tripster_elegro_payment_theme_setup9() {
		if ( tripster_exists_elegro_payment() ) {
			add_action( 'wp_enqueue_scripts', 'tripster_elegro_payment_frontend_scripts', 1100 );
			add_filter( 'tripster_filter_merge_styles', 'tripster_elegro_payment_merge_styles' );
		}
		if ( is_admin() ) {
			add_filter( 'tripster_filter_tgmpa_required_plugins', 'tripster_elegro_payment_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'tripster_elegro_payment_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('tripster_filter_tgmpa_required_plugins',	'tripster_elegro_payment_tgmpa_required_plugins');
	function tripster_elegro_payment_tgmpa_required_plugins( $list = array() ) {
		if ( tripster_storage_isset( 'required_plugins', 'woocommerce' ) && tripster_storage_isset( 'required_plugins', 'elegro-payment' ) && tripster_storage_get_array( 'required_plugins', 'elegro-payment', 'install' ) !== false ) {
			$list[] = array(
				'name'     => tripster_storage_get_array( 'required_plugins', 'elegro-payment', 'title' ),
				'slug'     => 'elegro-payment',
				'required' => false,
			);
		}
		return $list;
	}
}

// Check if this plugin installed and activated
if ( ! function_exists( 'tripster_exists_elegro_payment' ) ) {
	function tripster_exists_elegro_payment() {
		return class_exists( 'WC_Elegro_Payment' );
	}
}


// Enqueue styles for frontend
if ( ! function_exists( 'tripster_elegro_payment_frontend_scripts' ) ) {
	//Handler of the add_action( 'wp_enqueue_scripts', 'tripster_elegro_payment_frontend_scripts', 1100 );
	function tripster_elegro_payment_frontend_scripts() {
		if ( tripster_is_on( tripster_get_theme_option( 'debug_mode' ) ) ) {
			$tripster_url = tripster_get_file_url( 'plugins/elegro-payment/elegro-payment.css' );
			if ( '' != $tripster_url ) {
				wp_enqueue_style( 'tripster-elegro-payment', $tripster_url, array(), null );
			}
		}
	}
}


// Merge custom styles
if ( ! function_exists( 'tripster_elegro_payment_merge_styles' ) ) {
	//Handler of the add_filter('tripster_filter_merge_styles', 'tripster_elegro_payment_merge_styles');
	function tripster_elegro_payment_merge_styles( $list ) {
		$list[] = 'plugins/elegro-payment/elegro-payment.css';
		return $list;
	}
}


// Add plugin-specific colors and fonts to the custom CSS
if ( tripster_exists_elegro_payment() ) {
	require_once tripster_get_file_dir( 'plugins/elegro-payment/elegro-payment-style.php' );
}
