/* global jQuery:false */
/* global TRIPSTER_STORAGE:false */

jQuery( window ).on('load', function() {
	"use strict";
	tripster_gutenberg_first_init();
	// Create the observer to reinit visual editor after switch from code editor to visual editor
	var tripster_observers = {};
	if (typeof window.MutationObserver !== 'undefined') {
		tripster_create_observer('check_visual_editor', jQuery('.block-editor').eq(0), function(mutationsList) {
			var gutenberg_editor = jQuery('.edit-post-visual-editor:not(.tripster_inited)').eq(0);
			if (gutenberg_editor.length > 0) tripster_gutenberg_first_init();
		});
	}

	function tripster_gutenberg_first_init() {
		var gutenberg_editor = jQuery( '.edit-post-visual-editor:not(.tripster_inited)' ).eq( 0 );

		if ( 0 == gutenberg_editor.length ) {
			return;
		}
		
		// Add color scheme to the wrapper (instead '.editor-block-list__layout')
		jQuery( '.block-editor-writing-flow' ).addClass( 'scheme_' + TRIPSTER_STORAGE['color_scheme'] );
		gutenberg_editor.addClass( 'scheme_' + TRIPSTER_STORAGE['color_scheme'] );
		
		// Decorate sidebar placeholder
		gutenberg_editor.addClass( 'sidebar_position_' + TRIPSTER_STORAGE['sidebar_position'] );
		gutenberg_editor.addClass( TRIPSTER_STORAGE['expand_content'] + '_content' );
		if ( TRIPSTER_STORAGE['sidebar_position'] == 'left' ) {
			gutenberg_editor.prepend( '<div class="editor-post-sidebar-holder"></div>' );
		} else if ( TRIPSTER_STORAGE['sidebar_position'] == 'right' ) {
			gutenberg_editor.append( '<div class="editor-post-sidebar-holder"></div>' );
		}

		gutenberg_editor.addClass('tripster_inited');
	}

	// Create mutations observer
	function tripster_create_observer(id, obj, callback) {
		if (typeof window.MutationObserver !== 'undefined' && obj.length > 0) {
			if (typeof tripster_observers[id] == 'undefined') {
				tripster_observers[id] = new MutationObserver(callback);
				tripster_observers[id].observe(obj.get(0), { attributes: false, childList: true, subtree: true });
			}
			return true;
		}
		return false;
	}
} );
