<?php
/* Instagram Feed support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'tripster_instagram_feed_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'tripster_instagram_feed_theme_setup9', 9 );
	function tripster_instagram_feed_theme_setup9() {
		if ( tripster_exists_instagram_feed() ) {
			add_action( 'wp_enqueue_scripts', 'tripster_instagram_responsive_styles', 2000 );
			add_filter( 'tripster_filter_merge_styles_responsive', 'tripster_instagram_merge_styles_responsive' );
		}
		if ( is_admin() ) {
			add_filter( 'tripster_filter_tgmpa_required_plugins', 'tripster_instagram_feed_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'tripster_instagram_feed_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('tripster_filter_tgmpa_required_plugins',	'tripster_instagram_feed_tgmpa_required_plugins');
	function tripster_instagram_feed_tgmpa_required_plugins( $list = array() ) {
		if ( tripster_storage_isset( 'required_plugins', 'instagram-feed' ) && tripster_storage_get_array( 'required_plugins', 'instagram-feed', 'install' ) !== false ) {
			$list[] = array(
				'name'     => tripster_storage_get_array( 'required_plugins', 'instagram-feed', 'title' ),
				'slug'     => 'instagram-feed',
				'required' => false,
			);
		}
		return $list;
	}
}

// Check if Instagram Feed installed and activated
if ( ! function_exists( 'tripster_exists_instagram_feed' ) ) {
	function tripster_exists_instagram_feed() {
		return defined( 'SBIVER' );
	}
}

// Enqueue responsive styles for frontend
if ( ! function_exists( 'tripster_instagram_responsive_styles' ) ) {
	//Handler of the add_action( 'wp_enqueue_scripts', 'tripster_instagram_responsive_styles', 2000 );
	function tripster_instagram_responsive_styles() {
		if ( tripster_is_on( tripster_get_theme_option( 'debug_mode' ) ) ) {
			$tripster_url = tripster_get_file_url( 'plugins/instagram/instagram-responsive.css' );
			if ( '' != $tripster_url ) {
				wp_enqueue_style( 'tripster-instagram-responsive', $tripster_url, array(), null );
			}
		}
	}
}

// Merge responsive styles
if ( ! function_exists( 'tripster_instagram_merge_styles_responsive' ) ) {
	//Handler of the add_filter('tripster_filter_merge_styles_responsive', 'tripster_instagram_merge_styles_responsive');
	function tripster_instagram_merge_styles_responsive( $list ) {
		$list[] = 'plugins/instagram/instagram-responsive.css';
		return $list;
	}
}

