<?php
/* Mail Chimp support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'tripster_mailchimp_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'tripster_mailchimp_theme_setup9', 9 );
	function tripster_mailchimp_theme_setup9() {
		if ( tripster_exists_mailchimp() ) {
			add_action( 'wp_enqueue_scripts', 'tripster_mailchimp_frontend_scripts', 1100 );
			add_filter( 'tripster_filter_merge_styles', 'tripster_mailchimp_merge_styles' );
		}
		if ( is_admin() ) {
			add_filter( 'tripster_filter_tgmpa_required_plugins', 'tripster_mailchimp_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'tripster_mailchimp_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('tripster_filter_tgmpa_required_plugins',	'tripster_mailchimp_tgmpa_required_plugins');
	function tripster_mailchimp_tgmpa_required_plugins( $list = array() ) {
		if ( tripster_storage_isset( 'required_plugins', 'mailchimp-for-wp' ) && tripster_storage_get_array( 'required_plugins', 'mailchimp-for-wp', 'install' ) !== false ) {
			$list[] = array(
				'name'     => tripster_storage_get_array( 'required_plugins', 'mailchimp-for-wp', 'title' ),
				'slug'     => 'mailchimp-for-wp',
				'required' => false,
			);
		}
		return $list;
	}
}

// Check if plugin installed and activated
if ( ! function_exists( 'tripster_exists_mailchimp' ) ) {
	function tripster_exists_mailchimp() {
		return function_exists( '__mc4wp_load_plugin' ) || defined( 'MC4WP_VERSION' );
	}
}



// Custom styles and scripts
//------------------------------------------------------------------------

// Enqueue styles for frontend
if ( ! function_exists( 'tripster_mailchimp_frontend_scripts' ) ) {
	//Handler of the add_action( 'wp_enqueue_scripts', 'tripster_mailchimp_frontend_scripts', 1100 );
	function tripster_mailchimp_frontend_scripts() {
		if ( tripster_is_on( tripster_get_theme_option( 'debug_mode' ) ) ) {
			$tripster_url = tripster_get_file_url( 'plugins/mailchimp-for-wp/mailchimp-for-wp.css' );
			if ( '' != $tripster_url ) {
				wp_enqueue_style( 'tripster-mailchimp-for-wp', $tripster_url, array(), null );
			}
		}
	}
}

// Merge custom styles
if ( ! function_exists( 'tripster_mailchimp_merge_styles' ) ) {
	//Handler of the add_filter( 'tripster_filter_merge_styles', 'tripster_mailchimp_merge_styles');
	function tripster_mailchimp_merge_styles( $list ) {
		$list[] = 'plugins/mailchimp-for-wp/mailchimp-for-wp.css';
		return $list;
	}
}


// Add plugin-specific colors and fonts to the custom CSS
if ( tripster_exists_mailchimp() ) {
	require_once tripster_get_file_dir( 'plugins/mailchimp-for-wp/mailchimp-for-wp-style.php' );
}

