<?php
/* Revolution Slider support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'tripster_revslider_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'tripster_revslider_theme_setup9', 9 );
	function tripster_revslider_theme_setup9() {
		if ( is_admin() ) {
			add_filter( 'tripster_filter_tgmpa_required_plugins', 'tripster_revslider_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'tripster_revslider_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('tripster_filter_tgmpa_required_plugins',	'tripster_revslider_tgmpa_required_plugins');
	function tripster_revslider_tgmpa_required_plugins( $list = array() ) {
		if ( tripster_storage_isset( 'required_plugins', 'revslider' ) && tripster_storage_get_array( 'required_plugins', 'revslider', 'install' ) !== false && tripster_is_theme_activated() ) {
			$path = tripster_get_plugin_source_path( 'plugins/revslider/revslider.zip' );
			if ( ! empty( $path ) || tripster_get_theme_setting( 'tgmpa_upload' ) ) {
				$list[] = array(
					'name'     => tripster_storage_get_array( 'required_plugins', 'revslider', 'title' ),
					'slug'     => 'revslider',
					'source'   => ! empty( $path ) ? $path : 'upload://revslider.zip',
					'version'  => '6.5.25',
					'required' => false,
				);
			}
		}
		return $list;
	}
}

// Check if RevSlider installed and activated
if ( ! function_exists( 'tripster_exists_revslider' ) ) {
	function tripster_exists_revslider() {
		return function_exists( 'rev_slider_shortcode' );
	}
}
