<?php
/* Instagram Feed support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'tripster_compare_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'tripster_compare_theme_setup9', 9 );
	function tripster_compare_theme_setup9() {
		if ( is_admin() ) {
			add_filter( 'tripster_filter_tgmpa_required_plugins', 'tripster_compare_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'tripster_compare_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('tripster_filter_tgmpa_required_plugins',	'tripster_compare_tgmpa_required_plugins');
	function tripster_compare_tgmpa_required_plugins( $list = array() ) {
		if ( tripster_storage_isset( 'required_plugins', 'yith-woocommerce-compare' ) && tripster_storage_get_array( 'required_plugins', 'yith-woocommerce-compare', 'install' ) !== false ) {
			$list[] = array(
				'name'     => tripster_storage_get_array( 'required_plugins', 'yith-woocommerce-compare', 'title' ),
				'slug'     => 'yith-woocommerce-compare',
				'required' => false,
			);
		}
		return $list;
	}
}

// Check if Instagram Feed installed and activated
if ( ! function_exists( 'tripster_exists_compare' ) ) {
	function tripster_exists_compare() {
		return defined( 'YITH_WOOCOMPARE_VERSION' );
	}
}

/* Import Options */
// Set plugin's specific importer options
if ( !function_exists( 'tripster_yith_compare_importer_set_options' ) ) {
	add_filter( 'trx_addons_filter_importer_options',	'tripster_yith_compare_importer_set_options' );
	function tripster_yith_compare_importer_set_options($options=array()) {
		if ( tripster_exists_compare() && tripster_storage_isset( 'required_plugins', 'yith-woocommerce-compare' ) ) {
			$options['additional_options'][]	= 'yith_woocompare_%';
		}
		return $options;
	}
}