<?php
/* Instagram Feed support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'tripster_wishlist_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'tripster_wishlist_theme_setup9', 9 );
	function tripster_wishlist_theme_setup9() {
		if ( is_admin() ) {
			add_filter( 'tripster_filter_tgmpa_required_plugins', 'tripster_wishlist_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'tripster_wishlist_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('tripster_filter_tgmpa_required_plugins',	'tripster_wishlist_tgmpa_required_plugins');
	function tripster_wishlist_tgmpa_required_plugins( $list = array() ) {
		if ( tripster_storage_isset( 'required_plugins', 'yith-woocommerce-wishlist' ) && tripster_storage_get_array( 'required_plugins', 'yith-woocommerce-wishlist', 'install' ) !== false ) {
			$list[] = array(
				'name'     => tripster_storage_get_array( 'required_plugins', 'yith-woocommerce-wishlist', 'title' ),
				'slug'     => 'yith-woocommerce-wishlist',
				'required' => false,
			);
		}
		return $list;
	}
}

// Check if Instagram Feed installed and activated
if ( ! function_exists( 'tripster_exists_wishlist' ) ) {
	function tripster_exists_wishlist() {
		return defined( 'YITH_WCWL_URL' );
	}
}


/* Import Options */
// Set plugin's specific importer options
if ( !function_exists( 'tripster_yith_wishlist_importer_set_options' ) ) {
	add_filter( 'trx_addons_filter_importer_options',	'tripster_yith_wishlist_importer_set_options' );
	function tripster_yith_wishlist_importer_set_options($options=array()) {
		if ( tripster_exists_wishlist() && tripster_storage_isset( 'required_plugins', 'yith-woocommerce-wishlist' ) ) {
			$options['additional_options'][]	= 'yith_wcwl_%';
		}
		return $options;
	}
}

if ( !function_exists( 'tripster_yith_wishlist_add_to_wishlist_options' ) ) {
	add_filter( 'yith_wcwl_add_to_wishlist_options', 'tripster_yith_wishlist_add_to_wishlist_options' );
	function tripster_yith_wishlist_add_to_wishlist_options($options=array()) {
		if ( is_admin() && tripster_exists_wishlist() )  {
			if ( array_key_exists('settings-add_to_wishlist', $options ) ) {			
				unset( $options['settings-add_to_wishlist']['loop_position']['options']['before_image'] );
				unset( $options['settings-add_to_wishlist']['add_to_wishlist_position']['options']['thumbnails'] );
				unset( $options['settings-add_to_wishlist']['add_to_wishlist_position']['options']['summary'] );
				unset( $options['settings-add_to_wishlist']['use_buttons']['options']['button_default'] );
				unset( $options['settings-add_to_wishlist']['use_buttons']['options']['button_custom'] );
			}

			
		}
		return $options;
	}
}