<?php
/**
 * Required plugins
 *
 * @package TRIPSTER
 * @since TRIPSTER 1.76.0
 */

// THEME-SUPPORTED PLUGINS
// If plugin not need - remove its settings from next array
//----------------------------------------------------------
$tripster_theme_required_plugins_groups = array(
	'core'          => esc_html__( 'Core', 'tripster' ),
	'page_builders' => esc_html__( 'Page Builders', 'tripster' ),
	'ecommerce'     => esc_html__( 'E-Commerce & Donations', 'tripster' ),
	'socials'       => esc_html__( 'Socials and Communities', 'tripster' ),
	'events'        => esc_html__( 'Events and Appointments', 'tripster' ),
	'content'       => esc_html__( 'Content', 'tripster' ),
	'other'         => esc_html__( 'Other', 'tripster' ),
);
$tripster_theme_required_plugins        = array(
	'trx_addons'                 => array(
		'title'       => esc_html__( 'ThemeREX Addons', 'tripster' ),
		'description' => esc_html__( "Will allow you to install recommended plugins, demo content, and improve the theme's functionality overall with multiple theme options", 'tripster' ),
		'required'    => true,
		'logo'        => 'trx_addons.png',
		'group'       => $tripster_theme_required_plugins_groups['core'],
	),
	'elementor'                  => array(
		'title'       => esc_html__( 'Elementor', 'tripster' ),
		'description' => esc_html__( "Is a beautiful PageBuilder, even the free version of which allows you to create great pages using a variety of modules.", 'tripster' ),
		'required'    => false,
		'logo'        => 'elementor.png',
		'group'       => $tripster_theme_required_plugins_groups['page_builders'],
	),
	'gutenberg'                  => array(
		'title'       => esc_html__( 'Gutenberg', 'tripster' ),
		'description' => esc_html__( "It's a posts editor coming in place of the classic TinyMCE. Can be installed and used in parallel with Elementor", 'tripster' ),
		'required'    => false,
		'install'     => false,          // Do not offer installation of the plugin in the Theme Dashboard and TGMPA
		'logo'        => 'gutenberg.png',
		'group'       => $tripster_theme_required_plugins_groups['page_builders'],
	),
	'woocommerce'                => array(
		'title'       => esc_html__( 'WooCommerce', 'tripster' ),
		'description' => esc_html__( "Connect the store to your website and start selling now", 'tripster' ),
		'required'    => false,
		'logo'        => 'woocommerce.png',
		'group'       => $tripster_theme_required_plugins_groups['ecommerce'],
	),

	'yith-woocommerce-compare'                => array(
		'title'       => esc_html__( 'YITH WooCommerce Compare', 'tripster' ),
		'description' => esc_html__( "The YITH WooCommerce Compare plugin allow you to compare in a simple and efficient way products on sale in your shop and analyze their main features in a single table.", 'tripster' ),
		'required'    => false,
		'logo'        => tripster_get_file_url( 'plugins/yith-woocommerce-compare/yith-woocommerce-compare.jpg' ),
		'group'       => $tripster_theme_required_plugins_groups['ecommerce'],
	),
	'yith-woocommerce-wishlist'                => array(
		'title'       => esc_html__( 'YITH WooCommerce Wishlist', 'tripster' ),
		'description' => esc_html__( "YITH WooCommerce Wishlist gives your users the possibility to create, fill, manage and share their wishlists allowing you to analyze their interests and needs to improve your marketing strategies.", 'tripster' ),
		'required'    => false,
		'logo'        => tripster_get_file_url( 'plugins/yith-woocommerce-wishlist/yith-woocommerce-wishlist.jpg' ),
		'group'       => $tripster_theme_required_plugins_groups['ecommerce'],
	),

	'elegro-payment'             => array(
		'title'       => esc_html__( 'Elegro Crypto Payment', 'tripster' ),
		'description' => esc_html__( "Extends WooCommerce Payment Gateways with an elegro Crypto Payment", 'tripster' ),
		'required'    => false,
		'install'     => false,
		'logo'        => 'elegro-payment.png',
		'group'       => $tripster_theme_required_plugins_groups['ecommerce'],
	),
	'instagram-feed'             => array(
		'title'       => esc_html__( 'Instagram Feed', 'tripster' ),
		'description' => esc_html__( "Displays the latest photos from your profile on Instagram", 'tripster' ),
		'install'     => true,
		'required'    => false,
		'logo'        => 'instagram-feed.png',
		'group'       => $tripster_theme_required_plugins_groups['socials'],
	),
	'mailchimp-for-wp'           => array(
		'title'       => esc_html__( 'MailChimp for WP', 'tripster' ),
		'description' => esc_html__( "Allows visitors to subscribe to newsletters", 'tripster' ),
		'required'    => false,
		'logo'        => 'mailchimp-for-wp.png',
		'group'       => $tripster_theme_required_plugins_groups['socials'],
	),
	'contact-form-7'             => array(
		'title'       => esc_html__( 'Contact Form 7', 'tripster' ),
		'description' => esc_html__( "CF7 allows you to create an unlimited number of contact forms", 'tripster' ),
		'required'    => false,
		'logo'        => 'contact-form-7.png',
		'group'       => $tripster_theme_required_plugins_groups['content'],
	),
	'revslider'                  => array(
		'title'       => esc_html__( 'Revolution Slider', 'tripster' ),
		'description' => '',
		'required'    => false,
		'logo'        => 'revslider.png',
		'group'       => $tripster_theme_required_plugins_groups['content'],
	),
	'wp-gdpr-compliance'         => array(
		'title'       => esc_html__( 'Cookie Information', 'tripster' ),
		'description' => esc_html__( "Allow visitors to decide for themselves what personal data they want to store on your site", 'tripster' ),
		'required'    => false,
		'install'     => false,
		'logo'        => 'wp-gdpr-compliance.png',
		'group'       => $tripster_theme_required_plugins_groups['other'],
	),
	'trx_updater'                => array(
		'title'       => esc_html__( 'ThemeREX Updater', 'tripster' ),
		'description' => esc_html__( "Update theme and theme-specific plugins from developer's upgrade server.", 'tripster' ),
		'required'    => false,
		'logo'        => 'trx_updater.png',
		'group'       => $tripster_theme_required_plugins_groups['other'],
	),
	'trx_popup'                  => array(
		'title'       => esc_html__( 'ThemeREX Popup', 'tripster' ),
		'description' => esc_html__( "Add popup to your site.", 'tripster' ),
		'required'    => false,
		'logo'        => 'trx_popup.png',
		'group'       => $tripster_theme_required_plugins_groups['other'],
	)
);

if ( TRIPSTER_THEME_FREE ) {
	unset( $tripster_theme_required_plugins['js_composer'] );
	unset( $tripster_theme_required_plugins['essential-grid'] );
	unset( $tripster_theme_required_plugins['revslider'] );
	unset( $tripster_theme_required_plugins['sitepress-multilingual-cms'] );
	unset( $tripster_theme_required_plugins['trx_updater'] );
	unset( $tripster_theme_required_plugins['trx_popup'] );
}

// Add plugins list to the global storage
tripster_storage_set( 'required_plugins', $tripster_theme_required_plugins );
