<?php
/**
 * The custom template to display the content
 *
 * Used for index/archive/search.
 *
 * @package TRIPSTER
 * @since TRIPSTER 1.0.50
 */

$tripster_template_args = get_query_var( 'tripster_template_args' );
if ( is_array( $tripster_template_args ) ) {
	$tripster_columns    = empty( $tripster_template_args['columns'] ) ? 2 : max( 1, $tripster_template_args['columns'] );
	$tripster_blog_style = array( $tripster_template_args['type'], $tripster_columns );
} else {
	$tripster_blog_style = explode( '_', tripster_get_theme_option( 'blog_style' ) );
	$tripster_columns    = empty( $tripster_blog_style[1] ) ? 2 : max( 1, $tripster_blog_style[1] );
}
$tripster_blog_id       = tripster_get_custom_blog_id( join( '_', $tripster_blog_style ) );
$tripster_blog_style[0] = str_replace( 'blog-custom-', '', $tripster_blog_style[0] );
$tripster_expanded      = ! tripster_sidebar_present() && tripster_get_theme_option( 'expand_content' ) == 'expand';
$tripster_components    = ! empty( $tripster_template_args['meta_parts'] )
							? ( is_array( $tripster_template_args['meta_parts'] )
								? join( ',', $tripster_template_args['meta_parts'] )
								: $tripster_template_args['meta_parts']
								)
							: tripster_array_get_keys_by_value( tripster_get_theme_option( 'meta_parts' ) );
$tripster_post_format   = get_post_format();
$tripster_post_format   = empty( $tripster_post_format ) ? 'standard' : str_replace( 'post-format-', '', $tripster_post_format );

$tripster_blog_meta     = tripster_get_custom_layout_meta( $tripster_blog_id );
$tripster_custom_style  = ! empty( $tripster_blog_meta['scripts_required'] ) ? $tripster_blog_meta['scripts_required'] : 'none';

if ( ! empty( $tripster_template_args['slider'] ) || $tripster_columns > 1 || ! tripster_is_off( $tripster_custom_style ) ) {
	?><div class="
		<?php
		if ( ! empty( $tripster_template_args['slider'] ) ) {
			echo 'slider-slide swiper-slide';
		} else {
			echo esc_attr( ( tripster_is_off( $tripster_custom_style ) ? 'column' : sprintf( '%1$s_item %1$s_item', $tripster_custom_style ) ) . "-1_{$tripster_columns}" );
		}
		?>
	">
	<?php
}
?>
<article id="post-<?php the_ID(); ?>" data-post-id="<?php the_ID(); ?>"
	<?php
	post_class(
			'post_item post_item_container post_format_' . esc_attr( $tripster_post_format )
					. ' post_layout_custom post_layout_custom_' . esc_attr( $tripster_columns )
					. ' post_layout_' . esc_attr( $tripster_blog_style[0] )
					. ' post_layout_' . esc_attr( $tripster_blog_style[0] ) . '_' . esc_attr( $tripster_columns )
					. ( ! tripster_is_off( $tripster_custom_style )
						? ' post_layout_' . esc_attr( $tripster_custom_style )
							. ' post_layout_' . esc_attr( $tripster_custom_style ) . '_' . esc_attr( $tripster_columns )
						: ''
						)
		);
	tripster_add_blog_animation( $tripster_template_args );
	?>
>
	<?php
	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}
	// Custom layout
	do_action( 'tripster_action_show_layout', $tripster_blog_id, get_the_ID() );
	?>
</article><?php
if ( ! empty( $tripster_template_args['slider'] ) || $tripster_columns > 1 || ! tripster_is_off( $tripster_custom_style ) ) {
	?></div><?php
	// Need opening PHP-tag above just after </div>, because <div> is a inline-block element (used as column)!
}
