<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package TRIPSTER
 * @since TRIPSTER 1.0
 */

$tripster_template_args = get_query_var( 'tripster_template_args' );
if ( is_array( $tripster_template_args ) ) {
	$tripster_columns    = empty( $tripster_template_args['columns'] ) ? 2 : max( 1, $tripster_template_args['columns'] );
	$tripster_blog_style = array( $tripster_template_args['type'], $tripster_columns );
} else {
	$tripster_blog_style = explode( '_', tripster_get_theme_option( 'blog_style' ) );
	$tripster_columns    = empty( $tripster_blog_style[1] ) ? 2 : max( 1, $tripster_blog_style[1] );
}

$tripster_post_format = get_post_format();
$tripster_post_format = empty( $tripster_post_format ) ? 'standard' : str_replace( 'post-format-', '', $tripster_post_format );

?><div class="
<?php
if ( ! empty( $tripster_template_args['slider'] ) ) {
	echo ' slider-slide swiper-slide';
} else {
	echo ( tripster_is_blog_style_use_masonry( $tripster_blog_style[0] ) ? 'masonry_item masonry_item' : 'column' ) . '-1_' . esc_attr( $tripster_columns );
}
?>
"><article id="post-<?php the_ID(); ?>" 
	<?php
	post_class(
		'post_item post_item_container post_format_' . esc_attr( $tripster_post_format )
		. ' post_layout_portfolio'
		. ' post_layout_portfolio_' . esc_attr( $tripster_columns )
		. ( 'portfolio' != $tripster_blog_style[0] ? ' ' . esc_attr( $tripster_blog_style[0] )  . '_' . esc_attr( $tripster_columns ) : '' )
		. ( is_sticky() && ! is_paged() ? ' sticky' : '' )
	);
	tripster_add_blog_animation( $tripster_template_args );
	?>
>
<?php

	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}

	$tripster_hover   = ! empty( $tripster_template_args['hover'] ) && ! tripster_is_inherit( $tripster_template_args['hover'] )
								? $tripster_template_args['hover']
								: tripster_get_theme_option( 'image_hover' );

	if ( 'zoom' == $tripster_hover || 'dots' == $tripster_hover ) {
		$tripster_post_link = empty( $tripster_template_args['no_links'] )
								? ( ! empty( $tripster_template_args['link'] )
									? $tripster_template_args['link']
									: get_permalink()
									)
								: '';
		$tripster_target    = ! empty( $tripster_post_link ) && false === strpos( $tripster_post_link, home_url() )
								? ' target="_blank" rel="nofollow"'
								: '';
	}
	
	// Meta parts
	$tripster_components = ! empty( $tripster_template_args['meta_parts'] )
							? ( is_array( $tripster_template_args['meta_parts'] )
								? $tripster_template_args['meta_parts']
								: explode( ',', $tripster_template_args['meta_parts'] )
								)
							: tripster_array_get_keys_by_value( tripster_get_theme_option( 'meta_parts' ) );

	// Featured image
	tripster_show_post_featured(
		array(
			'hover'         => $tripster_hover,
			'no_links'      => ! empty( $tripster_template_args['no_links'] ),
			'thumb_size'    => tripster_get_thumb_size(
									tripster_is_blog_style_use_masonry( $tripster_blog_style[0] )
										? (	strpos( tripster_get_theme_option( 'body_style' ), 'full' ) !== false || $tripster_columns < 3
											? 'masonry-big'
											: 'masonry'
											)
										: (	strpos( tripster_get_theme_option( 'body_style' ), 'full' ) !== false || $tripster_columns < 3
											? 'big'
											: 'med'
											)
								),
			'show_no_image' => true,
			'meta_parts'    => $tripster_components,
			'class'         => ('zoom' == $tripster_hover || 'dots' == $tripster_hover) ? 'hover_with_info' : '',
			'post_info'     => ('zoom' == $tripster_hover || 'dots' == $tripster_hover)
										? '<div class="post_info"><h5 class="post_title">'
											. ( ! empty( $tripster_post_link )
												? '<a href="' . esc_url( $tripster_post_link ) . '"' . ( ! empty( $target ) ? $target : '' ) . '>'
												: ''
												)
												. esc_html( get_the_title() ) 
											. ( ! empty( $tripster_post_link )
												? '</a>'
												: ''
												)
											. '</h5></div>'
										: '',
		)
	);
	?>
</article></div><?php
// Need opening PHP-tag above, because <article> is a inline-block element (used as column)!