<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package TRIPSTER
 * @since TRIPSTER 1.0.10
 */

// Footer sidebar
$tripster_footer_name    = tripster_get_theme_option( 'footer_widgets' );
$tripster_footer_present = ! tripster_is_off( $tripster_footer_name ) && is_active_sidebar( $tripster_footer_name );
if ( $tripster_footer_present ) {
	tripster_storage_set( 'current_sidebar', 'footer' );
	$tripster_footer_wide = tripster_get_theme_option( 'footer_wide' );
	ob_start();
	if ( is_active_sidebar( $tripster_footer_name ) ) {
		dynamic_sidebar( $tripster_footer_name );
	}
	$tripster_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $tripster_out ) ) {
		$tripster_out          = preg_replace( "/<\\/aside>[\r\n\s]*<aside/", '</aside><aside', $tripster_out );
		$tripster_need_columns = true;   //or check: strpos($tripster_out, 'columns_wrap')===false;
		if ( $tripster_need_columns ) {
			$tripster_columns = max( 0, (int) tripster_get_theme_option( 'footer_columns' ) );			
			if ( 0 == $tripster_columns ) {
				$tripster_columns = min( 4, max( 1, tripster_tags_count( $tripster_out, 'aside' ) ) );
			}
			if ( $tripster_columns > 1 ) {
				$tripster_out = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $tripster_columns ) . ' widget', $tripster_out );
			} else {
				$tripster_need_columns = false;
			}
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo ! empty( $tripster_footer_wide ) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<?php do_action( 'tripster_action_before_sidebar_wrap', 'footer' ); ?>
			<div class="footer_widgets_inner widget_area_inner">
				<?php
				if ( ! $tripster_footer_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $tripster_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'tripster_action_before_sidebar', 'footer' );
				tripster_show_layout( $tripster_out );
				do_action( 'tripster_action_after_sidebar', 'footer' );
				if ( $tripster_need_columns ) {
					?>
					</div><!-- /.columns_wrap -->
					<?php
				}
				if ( ! $tripster_footer_wide ) {
					?>
					</div><!-- /.content_wrap -->
					<?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
			<?php do_action( 'tripster_action_after_sidebar_wrap', 'footer' ); ?>
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
