<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package TRIPSTER
 * @since TRIPSTER 1.0.06
 */

$tripster_header_css   = '';
$tripster_header_image = get_header_image();
$tripster_header_video = tripster_get_header_video();
if ( ! empty( $tripster_header_image ) && tripster_trx_addons_featured_image_override( is_singular() || tripster_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$tripster_header_image = tripster_get_current_mode_image( $tripster_header_image );
}

$tripster_header_id = tripster_get_custom_header_id();
$tripster_header_meta = get_post_meta( $tripster_header_id, 'trx_addons_options', true );
if ( ! empty( $tripster_header_meta['margin'] ) ) {
	tripster_add_inline_css( sprintf( '.page_content_wrap{padding-top:%s}', esc_attr( tripster_prepare_css_value( $tripster_header_meta['margin'] ) ) ) );
}

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr( $tripster_header_id ); ?> top_panel_custom_<?php echo esc_attr( sanitize_title( get_the_title( $tripster_header_id ) ) ); ?>
				<?php
				echo ! empty( $tripster_header_image ) || ! empty( $tripster_header_video )
					? ' with_bg_image'
					: ' without_bg_image';
				if ( '' != $tripster_header_video ) {
					echo ' with_bg_video';
				}
				if ( '' != $tripster_header_image ) {
					echo ' ' . esc_attr( tripster_add_inline_css_class( 'background-image: url(' . esc_url( $tripster_header_image ) . ');' ) );
				}
				if ( is_single() && has_post_thumbnail() ) {
					echo ' with_featured_image';
				}
				if ( tripster_is_on( tripster_get_theme_option( 'header_fullheight' ) ) ) {
					echo ' header_fullheight tripster-full-height';
				}
				$tripster_header_scheme = tripster_get_theme_option( 'header_scheme' );
				if ( ! empty( $tripster_header_scheme ) && ! tripster_is_inherit( $tripster_header_scheme  ) ) {
					echo ' scheme_' . esc_attr( $tripster_header_scheme );
				}
				?>
">
	<?php

	// Background video
	if ( ! empty( $tripster_header_video ) ) {
		get_template_part( apply_filters( 'tripster_filter_get_template_part', 'templates/header-video' ) );
	}

	// Custom header's layout
	do_action( 'tripster_action_show_layout', $tripster_header_id );

	// Header widgets area
	get_template_part( apply_filters( 'tripster_filter_get_template_part', 'templates/header-widgets' ) );

	?>
</header>
