<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package TRIPSTER
 * @since TRIPSTER 1.0
 */

$tripster_args = get_query_var( 'tripster_logo_args' );

// Site logo
$tripster_logo_type   = isset( $tripster_args['type'] ) ? $tripster_args['type'] : '';
$tripster_logo_image  = tripster_get_logo_image( $tripster_logo_type );
$tripster_logo_text   = tripster_is_on( tripster_get_theme_option( 'logo_text' ) ) ? get_bloginfo( 'name' ) : '';
$tripster_logo_slogan = get_bloginfo( 'description', 'display' );
if ( ! empty( $tripster_logo_image['logo'] ) || ! empty( $tripster_logo_text ) ) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
		<?php
		if ( ! empty( $tripster_logo_image['logo'] ) ) {
			if ( empty( $tripster_logo_type ) && function_exists( 'the_custom_logo' ) && is_numeric( $tripster_logo_image['logo'] ) && $tripster_logo_image['logo'] > 0 ) {
				the_custom_logo();
			} else {
				$tripster_attr = tripster_getimagesize( $tripster_logo_image['logo'] );
				echo '<img src="' . esc_url( $tripster_logo_image['logo'] ) . '"'
						. ( ! empty( $tripster_logo_image['logo_retina'] ) ? ' srcset="' . esc_url( $tripster_logo_image['logo_retina'] ) . ' 2x"' : '' )
						. ' alt="' . esc_attr( $tripster_logo_text ) . '"'
						. ( ! empty( $tripster_attr[3] ) ? ' ' . wp_kses_data( $tripster_attr[3] ) : '' )
						. '>';
			}
		} else {
			tripster_show_layout( tripster_prepare_macros( $tripster_logo_text ), '<span class="logo_text">', '</span>' );
			tripster_show_layout( tripster_prepare_macros( $tripster_logo_slogan ), '<span class="logo_slogan">', '</span>' );
		}
		?>
	</a>
	<?php
}
