<?php
/**
 * The template to display the widgets area in the header
 *
 * @package TRIPSTER
 * @since TRIPSTER 1.0
 */

// Header sidebar
$tripster_header_name    = tripster_get_theme_option( 'header_widgets' );
$tripster_header_present = ! tripster_is_off( $tripster_header_name ) && is_active_sidebar( $tripster_header_name );
if ( $tripster_header_present ) {
	tripster_storage_set( 'current_sidebar', 'header' );
	$tripster_header_wide = tripster_get_theme_option( 'header_wide' );
	ob_start();
	if ( is_active_sidebar( $tripster_header_name ) ) {
		dynamic_sidebar( $tripster_header_name );
	}
	$tripster_widgets_output = ob_get_contents();
	ob_end_clean();
	if ( ! empty( $tripster_widgets_output ) ) {
		$tripster_widgets_output = preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $tripster_widgets_output );
		$tripster_need_columns   = strpos( $tripster_widgets_output, 'columns_wrap' ) === false;
		if ( $tripster_need_columns ) {
			$tripster_columns = max( 0, (int) tripster_get_theme_option( 'header_columns' ) );
			if ( 0 == $tripster_columns ) {
				$tripster_columns = min( 6, max( 1, tripster_tags_count( $tripster_widgets_output, 'aside' ) ) );
			}
			if ( $tripster_columns > 1 ) {
				$tripster_widgets_output = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $tripster_columns ) . ' widget', $tripster_widgets_output );
			} else {
				$tripster_need_columns = false;
			}
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo ! empty( $tripster_header_wide ) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<?php do_action( 'tripster_action_before_sidebar_wrap', 'header' ); ?>
			<div class="header_widgets_inner widget_area_inner">
				<?php
				if ( ! $tripster_header_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $tripster_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'tripster_action_before_sidebar', 'header' );
				tripster_show_layout( $tripster_widgets_output );
				do_action( 'tripster_action_after_sidebar', 'header' );
				if ( $tripster_need_columns ) {
					?>
					</div>	<!-- /.columns_wrap -->
					<?php
				}
				if ( ! $tripster_header_wide ) {
					?>
					</div>	<!-- /.content_wrap -->
					<?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
			<?php do_action( 'tripster_action_after_sidebar_wrap', 'header' ); ?>
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
