<?php
/**
 * The template to display Admin notices
 *
 * @package TRIPSTER
 * @since TRIPSTER 1.0.64
 */

$tripster_skins_url  = get_admin_url( null, 'admin.php?page=trx_addons_theme_panel#trx_addons_theme_panel_section_skins' );
$tripster_skins_args = get_query_var( 'tripster_skins_notice_args' );

?>
<div class="tripster_admin_notice tripster_skins_notice update-nag">
	<?php
	// Theme image
	$tripster_theme_img = tripster_get_file_url( 'screenshot.jpg' );
	if ( '' != $tripster_theme_img ) {
		?>
		<div class="tripster_notice_image"><img src="<?php echo esc_url( $tripster_theme_img ); ?>" alt="<?php esc_attr_e( 'Theme screenshot', 'tripster' ); ?>"></div>
		<?php
	}

	// Title
	?>
	<h3 class="tripster_notice_title">
		<?php esc_html_e( 'New skins available', 'tripster' ); ?>
	</h3>
	<?php

	// Description
	$tripster_total      = $tripster_skins_args['update'];	// Store value to the separate variable to avoid warnings from ThemeCheck plugin!
	$tripster_skins_msg  = $tripster_total > 0
							// Translators: Add new skins number
							? '<strong>' . sprintf( _n( '%d new version', '%d new versions', $tripster_total, 'tripster' ), $tripster_total ) . '</strong>'
							: '';
	$tripster_total      = $tripster_skins_args['free'];
	$tripster_skins_msg .= $tripster_total > 0
							? ( ! empty( $tripster_skins_msg ) ? ' ' . esc_html__( 'and', 'tripster' ) . ' ' : '' )
								// Translators: Add new skins number
								. '<strong>' . sprintf( _n( '%d free skin', '%d free skins', $tripster_total, 'tripster' ), $tripster_total ) . '</strong>'
							: '';
	$tripster_total      = $tripster_skins_args['pay'];
	$tripster_skins_msg .= $tripster_skins_args['pay'] > 0
							? ( ! empty( $tripster_skins_msg ) ? ' ' . esc_html__( 'and', 'tripster' ) . ' ' : '' )
								// Translators: Add new skins number
								. '<strong>' . sprintf( _n( '%d paid skin', '%d paid skins', $tripster_total, 'tripster' ), $tripster_total ) . '</strong>'
							: '';
	?>
	<div class="tripster_notice_text">
		<p>
			<?php
			// Translators: Add new skins info
			echo wp_kses_data( sprintf( __( "We are pleased to announce that %s are available for your theme", 'tripster' ), $tripster_skins_msg ) );
			?>
		</p>
	</div>
	<?php

	// Buttons
	?>
	<div class="tripster_notice_buttons">
		<?php
		// Link to the theme dashboard page
		?>
		<a href="<?php echo esc_url( $tripster_skins_url ); ?>" class="button button-primary"><i class="dashicons dashicons-update"></i> 
			<?php
			// Translators: Add theme name
			esc_html_e( 'Go to Skins manager', 'tripster' );
			?>
		</a>
		<?php
		// Dismiss
		?>
		<a href="#" data-notice="skins" class="tripster_hide_notice"><i class="dashicons dashicons-dismiss"></i> <span class="tripster_hide_notice_text"><?php esc_html_e( 'Dismiss', 'tripster' ); ?></span></a>
	</div>
</div>
